package observers;


public class ObservableInt extends NamedObservable {
    private int value;

    public ObservableInt(int newValue, String newName) {
        value = newValue;
        setName(newName);
    }

    public void print() {
        System.out.print(value);
    }

    public synchronized void setValue(int newValue) {
        if (newValue != value) {
            value = newValue;
            setChanged();
            notifyObservers();
        }
    }

    public synchronized int getValue() {
        return value;
    }
}