/**
 * Victor Silva - University of Bridgeport 20 Feb. 1997
 *
 * Displays a scrollable image in a Frame.
 *
 */
package vs;

import java.awt.*;


public class ImageScroller extends Panel {
    ScrollableImageCanvas canv;

    public ImageScroller(Image img) {
        setLayout(new BorderLayout());

        // Scrollbars
        Scrollbar vs = new Scrollbar(Scrollbar.VERTICAL, 0, 20, 0, 25);
        Scrollbar hs = new Scrollbar(Scrollbar.HORIZONTAL, 0, 20, 0, 25);

        // Add image and scrollbars to a Canvas
        canv = new ScrollableImageCanvas(img, hs, vs);
        add("Center", canv);
        add("South", hs);
        add("East", vs);
    }

    public boolean handleEvent(Event evt) {
        switch (evt.id) {
            case Event.SCROLL_LINE_UP:
            case Event.SCROLL_LINE_DOWN:
            case Event.SCROLL_PAGE_UP:
            case Event.SCROLL_PAGE_DOWN:
            case Event.SCROLL_ABSOLUTE:
                canv.repaint();
                return true;
        }
        return false;
    }


}
